%define upstream_name       Test-Manifest
%define upstream_version 2.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Summary:	Interact with a t/test_manifest file
License:	GPL or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source:     http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl-Test-Pod
BuildArch:	noarch


%description
Test::Harness assumes that you want to run all of the .t files in the
t/ directory in ascii-betical order during make test unless you say
otherwise.  This leads to some interesting naming schemes for test
files to get them in the desired order. This interesting names ossify
when they get into source control, and get even more interesting as
more tests show up.

Test::Manifest overrides the default behaviour by replacing the
test_via_harness target in the Makefile.  Instead of running at the
t/*.t files in ascii-betical order, it looks in the t/test_manifest
file to find out which tests you want to run and the order in which
you want to run them.  It constructs the right value for MakeMaker to
do the right thing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{perl_vendorlib}/Test
%{_mandir}/man3/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.20.0-5.mga6
+ Revision: 1034319
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.20.0-4.mga6
+ Revision: 946491
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.20.0-3.mga5
+ Revision: 745809
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.20.0-2.mga5
+ Revision: 686480
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 sander85 <sander85> 2.20.0-1.mga5
+ Revision: 668772
- update to 2.02

* Sun Aug 17 2014 sander85 <sander85> 2.10.0-1.mga5
+ Revision: 664739
- update to 2.01

* Fri Oct 18 2013 umeabot <umeabot> 1.230.0-3.mga4
+ Revision: 515239
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.230.0-2.mga3
+ Revision: 373594
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.230.0-1.mga1
+ Revision: 27121
- mageia rebuild
- imported package perl-Test-Manifest


* Sun Jul 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.230.0-1mdv2010.1
+ Revision: 397435
- new version
- use %%perl_convert_version macro
- better summary and description

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.22-2mdv2009.0
+ Revision: 224136
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.22-1mdv2008.1
+ Revision: 104269
- 1.22

* Sat Oct 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-1mdv2008.1
+ Revision: 98036
- update to new version 1.21
- update to new version 1.21


* Sat Mar 03 2007 Olivier Thauvin <nanardon@mandriva.org> 1.17-1mdv2007.0
+ Revision: 131713
- 1.17

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Test-Manifest

* Tue Apr 04 2006 Buchan Milne <bgmilne@mandriva.org> 1.14-2mdk
- Rebuild
- use mkrel

* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 1.14-1mdk
- initial Mandriva package

